=== modified file 'bzrlib/tests/test_lsprof.py'
--- bzrlib/tests/test_lsprof.py	2007-06-13 05:43:25 +0000
+++ bzrlib/tests/test_lsprof.py	2007-06-18 13:55:14 +0000
@@ -24,7 +24,7 @@
 from bzrlib import tests
 
 
-class LSProf(tests.Feature):
+class _LSProfFeature(tests.Feature):
 
     def available(self):
         try:
@@ -35,6 +35,9 @@
             return True
 
 
+LSProfFeature = _LSProfFeature()
+
+
 _TXT_HEADER = "   CallCount    Recursive    Total(ms)   " + \
     "Inline(ms) module:lineno(function)\n"
 
@@ -53,8 +56,9 @@
 
 class TestStatsSave(tests.TestCaseInTempDir):
 
+    _test_needs_features = [LSProfFeature]
+
     def setUp(self):
-        self.requireFeature(LSProf())
         super(tests.TestCaseInTempDir, self).setUp()
         self.stats = _collect_stats()
 

=== modified file 'bzrlib/tests/test_selftest.py'
--- bzrlib/tests/test_selftest.py	2007-06-15 07:01:24 +0000
+++ bzrlib/tests/test_selftest.py	2007-06-18 13:55:14 +0000
@@ -681,7 +681,7 @@
 
     def test_lsprofiling(self):
         """Verbose test result prints lsprof statistics from test cases."""
-        self.requireFeature(test_lsprof.LSProf())
+        self.requireFeature(test_lsprof.LSProfFeature)
         result_stream = StringIO()
         result = bzrlib.tests.VerboseTestResult(
             unittest._WritelnDecorator(result_stream),
@@ -1193,7 +1193,7 @@
         
         Each self.time() call is individually and separately profiled.
         """
-        self.requireFeature(test_lsprof.LSProf())
+        self.requireFeature(test_lsprof.LSProfFeature)
         # overrides the class member with an instance member so no cleanup 
         # needed.
         self._gather_lsprof_in_benchmarks = True

